// *******************************************
// * FILE HEADER:                            *
// *******************************************
// * Project:   NDB Web Log                  *
// * Filename:  countries.js                 *
// * Created:   13/09/2003 (MF)              *
// * Revised:   06/02/2005 (MF)              *
// *******************************************
// Country and state codes all NDB List approved:
// See http://www.beaconworld.org.uk/files/countrylist.pdf

// ++++++++++++++++++++++++++++++++++
// + Initialise Region Name arrays  +
// ++++++++++++++++++++++++++++++++++
REGION ("af","Africa");
REGION ("an","Antarctica");
REGION ("as","Asia");
REGION ("ca","C.America + Caribbean");
REGION ("eu","Europe");
REGION ("iw","International Waters");
REGION ("na","N.America");
REGION ("oc","Oceania");
REGION ("sa","S.America");
REGION ("xx","Unknown");


// ++++++++++++++++++++++++++++++++++
// + Initialise country name arrays +
// ++++++++++++++++++++++++++++++++++
COUNTRY ("ABW","Aruba","ca");
COUNTRY ("AFG","Afghanistan","as");
COUNTRY ("AFS","South Africa","af");
COUNTRY ("AGL","Angola","af");
COUNTRY ("AIA","Anguilla","ca");
COUNTRY ("ALB","Albania","eu");
COUNTRY ("ALG","Algeria","af");
COUNTRY ("ALS","Alaska (US State)","na");
COUNTRY ("AND","Andorra","eu");
COUNTRY ("ANI","Andaman & Nicobar Islands (India)","as");
COUNTRY ("AOE","Western Sahara","af");
COUNTRY ("ARG","Argentina","sa");
COUNTRY ("ARM","Armenia","as");
COUNTRY ("ARS","Saudi Arabia","as");
COUNTRY ("ASC","Ascension Island (UK)","af");
COUNTRY ("ATA","Antarctica","an");
COUNTRY ("ATG","Antigua & Barbuda","ca");
COUNTRY ("ATN","Netherlands Antilles","ca");
COUNTRY ("AUI","Austral Islands (Iles Tubuai)","oc");
COUNTRY ("AUS","Australia","oc");
COUNTRY ("AUT","Austria","eu");
COUNTRY ("AZE","Azerbaijan","as");
COUNTRY ("AZR","Azores (Portugal)","eu");
COUNTRY ("BAH","Bahamas","ca");
COUNTRY ("BAL","Balearic Islands (Spain)","eu");
COUNTRY ("BAR","St Barthelemy","ca");
COUNTRY ("BDI","Burundi","af");
COUNTRY ("BEL","Belgium","eu");
COUNTRY ("BEN","Benin","af");
COUNTRY ("BER","Bermuda (UK)","na");
COUNTRY ("BFA","Burkina Faso","af");
COUNTRY ("BGD","Bangladesh","as");
COUNTRY ("BHR","Bahrain","as");
COUNTRY ("BIH","Bosnia-Hercegovina","eu");
COUNTRY ("BLR","Belarus","eu");
COUNTRY ("BLZ","Belize","ca");
COUNTRY ("BOL","Bolivia","sa");
COUNTRY ("BOT","Botswana","af");
COUNTRY ("BRA","Brazil","sa");
COUNTRY ("BRB","Barbados","ca");
COUNTRY ("BRI","Bear Island (Bjornoya)(Norway)","eu");
COUNTRY ("BRM","Myanmar (Burma)","as");
COUNTRY ("BRU","Brunei","as");
COUNTRY ("BTN","Bhutan","as");
COUNTRY ("BUL","Bulgaria","eu");
COUNTRY ("CAB","Cabinda (Angola)","af");
COUNTRY ("CAF","Central African Republic","af");
COUNTRY ("CAN","Canada","na");
COUNTRY ("CBG","Cambodia","as");
COUNTRY ("CEU","Ceuta (Spain)","af");
COUNTRY ("CHL","Chile","sa");
COUNTRY ("CHN","China (Prc)","as");
COUNTRY ("CHR","Christmas Island (Australia)","as");
COUNTRY ("CKH","Cook Islands (Northern)","oc");
COUNTRY ("CKS","Cook Islands (Southern)","oc");
COUNTRY ("CLI","Clipperton (France)","oc");
COUNTRY ("CLM","Colombia","sa");
COUNTRY ("CLN","Sri Lanka","as");
COUNTRY ("CME","Cameroon","af");
COUNTRY ("CNR","Canary Islands (Spain)","af");
COUNTRY ("COD","Congo-Kinshasa","af");
COUNTRY ("COG","Congo-Brazzaville","af");
COUNTRY ("COM","Comoros","af");
COUNTRY ("COR","Corsica (France)","eu");
COUNTRY ("CPV","Cape Verde","af");
COUNTRY ("CTI","Ivory Coast","af");
COUNTRY ("CTR","Costa Rica","ca");
COUNTRY ("CUB","Cuba","ca");
COUNTRY ("CVA","Vatican State","eu");
COUNTRY ("CYM","Cayman Islands","ca");
COUNTRY ("CYP","Cyprus","as");
COUNTRY ("CZE","Czech Republic","eu");
COUNTRY ("DES","Desventurados (Chile)","sa");
COUNTRY ("DEU","Germany","eu");
COUNTRY ("DGA","Diego Garcia (Biot) (UK)","as");
COUNTRY ("DJI","Djibouti","af");
COUNTRY ("DMA","Dominica","ca");
COUNTRY ("DNK","Denmark","eu");
COUNTRY ("DOM","Dominican Republic","ca");
COUNTRY ("EGY","Egypt","af");
COUNTRY ("ENG","England (UK)","eu");
COUNTRY ("EQA","Ecuador","sa");
COUNTRY ("ERI","Eritrea","af");
COUNTRY ("ESP","Spain","eu");
COUNTRY ("EST","Estonia","eu");
COUNTRY ("ETH","Ethiopia","af");
COUNTRY ("EUR","Europa Island (France)","af");
COUNTRY ("FIN","Finland","eu");
COUNTRY ("FJI","Fiji","oc");
COUNTRY ("FLK","Falkland Islands (UK)","sa");
COUNTRY ("FRA","France","eu");
COUNTRY ("FRO","Faroe Islands (Denmark)","eu");
COUNTRY ("FSM","Micronesia","oc");
COUNTRY ("GAB","Gabon","af");
COUNTRY ("GAL","Galapagos (Ecuador)","sa");
COUNTRY ("GDL","Guadeloupe","ca");
COUNTRY ("GEO","Georgia","as");
COUNTRY ("GHA","Ghana","af");
COUNTRY ("GIB","Gibraltar (UK)","eu");
COUNTRY ("GLO","Glorieuse Island","af");
COUNTRY ("GMB","Gambia","af");
COUNTRY ("GNB","Guinea-Bissau","af");
COUNTRY ("GNE","Equatorial Guinea","af");
COUNTRY ("GRC","Greece","eu");
COUNTRY ("GRD","Grenada","ca");
COUNTRY ("GRL","Greenland","na");
COUNTRY ("GSY","Guernsey (UK)","eu");
COUNTRY ("GTM","Guatemala","ca");
COUNTRY ("GUF","French Guyana","sa");
COUNTRY ("GUI","Guinea","af");
COUNTRY ("GUM","Guam (US)","oc");
COUNTRY ("GUY","Guyana","sa");
COUNTRY ("HND","Honduras","ca");
COUNTRY ("HNG","Hungary","eu");
COUNTRY ("HOL","Netherlands","eu");
COUNTRY ("HRV","Croatia","eu");
COUNTRY ("HTI","Haiti","ca");
COUNTRY ("HWA","Hawaii (US State)","oc");
COUNTRY ("HWL","Howland & Baker Islands","oc");
COUNTRY ("ICO","Cocos (Keeling) Islands (Australia)","as");
COUNTRY ("IND","India","as");
COUNTRY ("INS","Indonesia","as");
COUNTRY ("IOM","Isle Of Man (UK)","eu");
COUNTRY ("IRL","Ireland","eu");
COUNTRY ("IRN","Iran","as");
COUNTRY ("IRQ","Iraq","as");
COUNTRY ("ISL","Iceland","eu");
COUNTRY ("ISR","Israel","as");
COUNTRY ("ITA","Italy","eu");
COUNTRY ("JAR","Jarvis","oc");
COUNTRY ("JDN","Juan De Nova Island","af");
COUNTRY ("JMC","Jamaica","ca");
COUNTRY ("JMY","Jan Mayen (Norway)","eu");
COUNTRY ("JON","Johnston Island (US)","oc");
COUNTRY ("JOR","Jordan","as");
COUNTRY ("JPN","Japan","as");
COUNTRY ("JSY","Jersey (UK)","eu");
COUNTRY ("KAL","Kalinigrad (Russia)","eu");
COUNTRY ("KAZ","Kazakhstan","as");
COUNTRY ("KEN","Kenya","af");
COUNTRY ("KGZ","Kirghizistan","as");
COUNTRY ("KIR","Kiribati","oc");
COUNTRY ("KOR","Korea, South","as");
COUNTRY ("KRE","Korea, North","as");
COUNTRY ("KWT","Kuwait","as");
COUNTRY ("LAO","Laos","as");
COUNTRY ("LBN","Lebanon","as");
COUNTRY ("LBR","Liberia","af");
COUNTRY ("LBY","Libya","af");
COUNTRY ("LCA","St Lucia","ca");
COUNTRY ("LHI","Lord Howe Island (Australia)","oc");
COUNTRY ("LIE","Liechtenstein","eu");
COUNTRY ("LIN","Line Islands (North)","oc");
COUNTRY ("LIS","Line Islands (South)","oc");
COUNTRY ("LSO","Lesotho","af");
COUNTRY ("LTU","Lithuania","eu");
COUNTRY ("LUX","Luxembourg","eu");
COUNTRY ("LVA","Latvia","eu");
COUNTRY ("MAR","Marquesas Islands (France)","oc");
COUNTRY ("MAU","Mauritius","af");
COUNTRY ("MCO","Monaco","eu");
COUNTRY ("MDA","Moldova","eu");
COUNTRY ("MDG","Madagascar","af");
COUNTRY ("MDR","Madeira (Portugal)","af");
COUNTRY ("MDW","Midway Island (US)","oc");
COUNTRY ("MEL","Melilla (Spain)","af");
COUNTRY ("MEX","Mexico","ca");
COUNTRY ("MHL","Marshall Islands","oc");
COUNTRY ("MKD","Macedonia","eu");
COUNTRY ("MLA","Malaysia","as");
COUNTRY ("MLD","Maldives","as");
COUNTRY ("MLI","Mali","af");
COUNTRY ("MLT","Malta","eu");
COUNTRY ("MNE","Montenegro (Yugoslavia)","eu");
COUNTRY ("MNG","Mongolia","as");
COUNTRY ("MOZ","Mozambique","af");
COUNTRY ("MRA","Northern Mariana Islands (US)","oc");
COUNTRY ("MRC","Morocco","af");
COUNTRY ("MRT","Martinique","ca");
COUNTRY ("MSR","Montserrat","ca");
COUNTRY ("MTN","Mauritania","af");
COUNTRY ("MTS","Minami Tori Shima","oc");
COUNTRY ("MWI","Malawi","af");
COUNTRY ("MYT","Mayotte","af");
COUNTRY ("NAK","Nakhichevan (Azerbaijan)","as");
COUNTRY ("NCG","Nicaragua","ca");
COUNTRY ("NCL","New Caledonia (France)","oc");
COUNTRY ("NFK","Norfolk Island (Australia)","oc");
COUNTRY ("NGR","Niger","af");
COUNTRY ("NIG","Nigeria","af");
COUNTRY ("NIR","Northern Ireland (UK)","eu");
COUNTRY ("NIU","Niue Island","oc");
COUNTRY ("NMB","Namibia","af");
COUNTRY ("NOR","Norway","eu");
COUNTRY ("NPL","Nepal","as");
COUNTRY ("NRU","Nauru","oc");
COUNTRY ("NZL","New Zealand","oc");
COUNTRY ("OCE","Society Islands (Tahiti) (France)","oc");
COUNTRY ("OGA","Ogasawara","oc");
COUNTRY ("OMA","Oman","as");
COUNTRY ("ORK","Orkney Islands (UK)","eu");
COUNTRY ("OTS","Okino Tori Shima","oc");
COUNTRY ("PAK","Pakistan","as");
COUNTRY ("PAQ","Easter Island (Chile)","oc");
COUNTRY ("PHL","Philippines","as");
COUNTRY ("PHX","Phoenix Islands","oc");
COUNTRY ("PLM","Palmyra","oc");
COUNTRY ("PLW","Palau","oc");
COUNTRY ("PNG","Papua New Guinea","oc");
COUNTRY ("PNR","Panama","ca");
COUNTRY ("POL","Poland","eu");
COUNTRY ("POR","Portugal","eu");
COUNTRY ("PRG","Paraguay","sa");
COUNTRY ("PRU","Peru","sa");
COUNTRY ("PTC","Pitcairn Island (UK)","oc");
COUNTRY ("PTR","Puerto Rico (US Commonwealth)","ca");
COUNTRY ("QAT","Qatar","as");
COUNTRY ("REU","Reunion","af");
COUNTRY ("ROC","Juan Fernandez & Isla Robinson Crusoe (Chile)","sa");
COUNTRY ("ROU","Romania","eu");
COUNTRY ("RRW","Rwanda","af");
COUNTRY ("RSE","Russia (Eastern)","as");
COUNTRY ("RUS","Russia (European)","eu");
COUNTRY ("RYI","Ryukyu Islands (JPN)","as");
COUNTRY ("SAP","San Andres & Providencia (Colombia)","ca");
COUNTRY ("SAR","Sardinia (Italy)","eu");
COUNTRY ("SRB","Serbia (Yugoslavia)","eu");
COUNTRY ("SCN","St Kitts-Nevis","ca");
COUNTRY ("SCT","Scotland (UK)","eu");
COUNTRY ("SCY","Sicily (Italy)","eu");
COUNTRY ("SDN","Sudan","af");
COUNTRY ("SEN","Senegal","af");
COUNTRY ("SEY","Seychelles","af");
COUNTRY ("SHE","Shetland Islands (UK)","eu");
COUNTRY ("SHN","St Helena (UK)","af");
COUNTRY ("SLM","Solomon Islands","oc");
COUNTRY ("SLV","El Salvador","ca");
COUNTRY ("SMA","Samoa, American (US)","oc");
COUNTRY ("SMO","Samoa, Western","oc");
COUNTRY ("SMR","San Marino","eu");
COUNTRY ("SNG","Singapore","as");
COUNTRY ("SOM","Somalia","af");
COUNTRY ("SPM","St Pierre Et Miquelon","na");
COUNTRY ("SPO","Sao Paulo","sa");
COUNTRY ("SPR","Spratley Islands","as");
COUNTRY ("SRL","Sierra Leone","af");
COUNTRY ("STP","Sao Tome E Principe","af");
COUNTRY ("SUI","Switzerland","eu");
COUNTRY ("SUR","Suriname","sa");
COUNTRY ("SVB","Svalbard (Norway)","eu");
COUNTRY ("SVK","Slovakia","eu");
COUNTRY ("SVN","Slovenia","eu");
COUNTRY ("SWE","Sweden","eu");
COUNTRY ("SWN","Swan Island (Islas Del Cisne)(Honduras)","ca");
COUNTRY ("SWZ","Swaziland","af");
COUNTRY ("SYR","Syria","as");
COUNTRY ("TCA","Turks & Caicos Islands","ca");
COUNTRY ("TCD","Chad","af");
COUNTRY ("TGO","Togo","af");
COUNTRY ("THA","Thailand","as");
COUNTRY ("TJK","Tajikistan","as");
COUNTRY ("TKL","Tokelau","oc");
COUNTRY ("TKM","Turkmenistan","as");
COUNTRY ("TMP","Timor","as");
COUNTRY ("TON","Tonga","oc");
COUNTRY ("TRC","Tristan Da Cunha (UK)","af");
COUNTRY ("TRD","Trinidad & Tobago","ca");
COUNTRY ("TRO","Tromelin Island","af");
COUNTRY ("TUA","Tuamotu Archipelago (France)","oc");
COUNTRY ("TUN","Tunisia","af");
COUNTRY ("TUR","Turkey","as");
COUNTRY ("TUV","Tuvalu","oc");
COUNTRY ("TWN","Taiwan (Roc)","as");
COUNTRY ("TZA","Tanzania","af");
COUNTRY ("UAE","United Arab Emirates","as");
COUNTRY ("UGA","Uganda","af");
COUNTRY ("UKR","Ukraine","eu");
COUNTRY ("URG","Uruguay","sa");
COUNTRY ("USA","USA","na");
COUNTRY ("UZB","Uzbekistan","as");
COUNTRY ("VCT","St Vincent","ca");
COUNTRY ("VEN","Venezuela","sa");
COUNTRY ("VIR","Virgin Islands (US)","ca");
COUNTRY ("VOI","Volcano Islands / Iwo Jima (JPN)","as");
COUNTRY ("VRG","Virgin Islands (British)","ca");
COUNTRY ("VTN","Vietnam","as");
COUNTRY ("VUT","Vanuatu","oc");
COUNTRY ("WAK","Wake Island (US)","oc");
COUNTRY ("WAL","Wallis Et Futuna (France)","oc");
COUNTRY ("WBG","West Bank and Gaza Strip","as");
COUNTRY ("WLS","Wales (UK)","eu");
COUNTRY ("XOA","International Waters (Asia)","iw");
COUNTRY ("XOC","International Waters (Central America & Caribbean)","iw");
COUNTRY ("XOE","International Waters (Europe)","iw");
COUNTRY ("XOF","International Waters (Africa)","iw");
COUNTRY ("XON","International Waters (North America)","iw");
COUNTRY ("XOP","International Waters (Oceania)","iw");
COUNTRY ("XOS","International Waters (South America)","iw");
COUNTRY ("XUA","UNID (Probable Location: Asia)","xx");
COUNTRY ("XUC","UNID (Probable Location: Central America & Caribbean)","xx");
COUNTRY ("XUE","UNID (Probable Location: Europe)","xx");
COUNTRY ("XUF","UNID (Probable Location: Africa)","xx");
COUNTRY ("XUN","UNID (Probable Location: North America)","xx");
COUNTRY ("XUP","UNID (Probable Location: Oceania)","xx");
COUNTRY ("XUS","UNID (Probable Location: South America)","xx");
COUNTRY ("XUU","UNID (Location Unknown)","xx");
COUNTRY ("YEM","Yemen","as");
COUNTRY ("ZMB","Zambia","af");
COUNTRY ("ZWE","Zimbabwe","af");


// ++++++++++++++++++++++++++++++++++
// + Initialise state name arrays   +
// ++++++++++++++++++++++++++++++++++
STATE ("AB","Alberta","CAN");
STATE ("AL","Alabama","USA");
STATE ("AR","Arkansas","USA");
STATE ("AT","Australian Capital Territory (Canberra)","AUS");
STATE ("AZ","Arizona","USA");
STATE ("BC","British Columbia","CAN");
STATE ("CA","California","USA");
STATE ("CO","Colorado","USA");
STATE ("CT","Connecticut","USA");
STATE ("DC","Washington/District of Columbia","USA");
STATE ("DE","Delaware","USA");
STATE ("FL","Florida","USA");
STATE ("GA","Georgia","USA");
STATE ("IA","Iowa","USA");
STATE ("ID","Idaho","USA");
STATE ("IL","Illinois","USA");
STATE ("IN","Indiana","USA");
STATE ("KS","Kansas","USA");
STATE ("KY","Kentucky","USA");
STATE ("LA","Louisiana","USA");
STATE ("MA","Massachusetts","USA");
STATE ("MB","Manitoba","CAN");
STATE ("MD","Maryland","USA");
STATE ("ME","Maine","USA");
STATE ("MI","Michigan","USA");
STATE ("MN","Minnesota","USA");
STATE ("MO","Missouri","USA");
STATE ("MS","Mississippi","USA");
STATE ("MT","Montana","USA");
STATE ("NB","New Brunswick","CAN");
STATE ("NC","North Carolina","USA");
STATE ("ND","North Dakota","USA");
STATE ("NE","Nebraska","USA");
STATE ("NH","New Hampshire","USA");
STATE ("NJ","New Jersey","USA");
STATE ("NL","Newfoundland & Labrador","CAN");
STATE ("NM","New Mexico","USA");
STATE ("NN","Northern Territory","AUS");
STATE ("NS","Nova Scotia","CAN");
STATE ("NT","Northwest Territories","CAN");
STATE ("NU","Nunavut","CAN");
STATE ("NV","Nevada","USA");
STATE ("NW","New South Wales","AUS");
STATE ("NY","New York","USA");
STATE ("OH","Ohio","USA");
STATE ("OK","Oklahoma","USA");
STATE ("ON","Ontario","CAN");
STATE ("OR","Oregon","USA");
STATE ("PA","Pennsylvania","USA");
STATE ("PE","Prince Edward Island","CAN");
STATE ("QC","Quebec","CAN");
STATE ("QD","Queensland","AUS");
STATE ("RI","Rhode Island","USA");
STATE ("SA","South Australia","AUS");
STATE ("SC","South Carolina","USA");
STATE ("SD","South Dakota","USA");
STATE ("SK","Saskatchewan","CAN");
STATE ("TA","Tasmania","AUS");
STATE ("TN","Tennessee","USA");
STATE ("TX","Texas","USA");
STATE ("UT","Utah","USA");
STATE ("VA","Virginia","USA");
STATE ("VI","Victoria","AUS");
STATE ("VT","Vermont","USA");
STATE ("WA","Washington","USA");
STATE ("WE","Western Australia","AUS");
STATE ("WI","Wisconsin","USA");
STATE ("WV","West Virginia","USA");
STATE ("WY","Wyoming","USA");
STATE ("YT","Yukon","CAN");

/*
Not yet approved by NDB List
STATE ("AGU","Aguascalientes","MEX");
STATE ("BCN","Baja California","MEX");
STATE ("BCS","Baja California Sur","MEX");
STATE ("CAM","Campeche","MEX");
STATE ("CHI","Chihuahua","MEX");
STATE ("CHS","Chiapas","MEX");
STATE ("COA","Coahuila (de Zaragoza)","MEX");
STATE ("COL","Colima","MEX");
STATE ("D-F","Distrito Federal","MEX");
STATE ("DGO","Durango","MEX");
STATE ("GRO","Guerrero","MEX");
STATE ("GTO","Guanajuato","MEX");
STATE ("HGO","Hidalgo","MEX");
STATE ("JAL","Jalisco","MEX");
STATE ("MEX","Mxico","MEX");
STATE ("MIC","Michoacn (de Ocampo)","MEX");
STATE ("MOR","Morelos","MEX");
STATE ("NAY","Nayarit","MEX");
STATE ("NLN","Nuevo Lon","MEX");
STATE ("OAX","Oaxaca","MEX");
STATE ("PUE","Puebla","MEX");
STATE ("QRO","Quertaro (de Arteaga)","MEX");
STATE ("QTR","Quintana Roo","MEX");
STATE ("SIN","Sinaloa","MEX");
STATE ("SLP","San Luis Potos","MEX");
STATE ("SON","Sonora","MEX");
STATE ("TAB","Tabasco","MEX");
STATE ("TAM","Tamaulipas","MEX");
STATE ("TLA","Tlaxcala","MEX");
STATE ("VER","Veracruz (-Llave)","MEX");
STATE ("YUC","Yucatn","MEX");
STATE ("ZAC","Zacatecas","MEX");
*/
